NanoPi R4S - Can't install or update any package

Hello, recently i got a NanoPi R4S

https://wiki.friendlyarm.com/wiki/index.php/NanoPi_R4S

I've installed the manufacturer own version of Openwrt called FriendlyWrt, but the problem is that i cant install or update any package:


This is with the terminal /, but if i try via interface, the problem is the same:

I can't install or update any package, the error is the same for every single one.

Then you would have to contact Friendlyarm, here you only can find support for versions published by Openwrt.
You might want to consider installing a Openwrt version that is build from the Openwrt sources. Currently no stable version exists but you may try this NanoPi R4S rk3399 4G is a great new OpenWrt device

1 Like

thx but i found the problem...

CPU arch was wrong in the distfeeds.conf

I changed from this:

src/gz openwrt_base http://downloads.openwrt.org/releases/21.02.1/packages/aarch64_cortex-a53/base
src/gz openwrt_luci http://downloads.openwrt.org/releases/21.02.1/packages/aarch64_cortex-a53/luci
src/gz openwrt_packages http://downloads.openwrt.org/releases/21.02.1/packages/aarch64_cortex-a53/packages
src/gz openwrt_routing http://downloads.openwrt.org/releases/21.02.1/packages/aarch64_cortex-a53/routing

To this:

src/gz openwrt_base http://downloads.openwrt.org/releases/21.02.1/packages/aarch64_generic/base
src/gz openwrt_luci http://downloads.openwrt.org/releases/21.02.1/packages/aarch64_generic/luci
src/gz openwrt_packages http://downloads.openwrt.org/releases/21.02.1/packages/aarch64_generic/packages
src/gz openwrt_routing http://downloads.openwrt.org/releases/21.02.1/packages/aarch64_generic/routing
src/gz openwrt_core http://downloads.openwrt.org/releases/21.02.1/targets/rockchip/armv8/packages

This topic was automatically closed 10 days after the last reply. New replies are no longer allowed.